
package de.ivu.elect.presentation.wahlvorschlagsperson.action;

import javax.annotation.Nonnull;
import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.wahlvorschlag.entity.NlListe;
import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPerson;

@Specializes
public class NlBeauftragterDeleteAction extends BeauftragterDeleteAction {

  private static final long serialVersionUID = 1L;

  public NlBeauftragterDeleteAction() {
    super();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull WahlvorschlagsPerson wahlvorschlagsPerson) {
    return super.isDisabledInternal(wahlvorschlagsPerson) || NlListe.LISTENBEAUFTRAGTER.equals(wahlvorschlagsPerson.getWahlvorschlagsPersonTyp()) /* ELECT-10576 */;
  }
}
